Bug 28004 - Incomplete breadcrumbs in authorized valued
Summary: Incomplete breadcrumbs in authorized valued
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Lucas Gass
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-19 15:45 UTC by Séverine Queune
Modified: 2021-04-24 17:18 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
This patch fixes some incorrect displays within the breadcrumbs on authorised_values.tt
Version(s) released in:
21.05.00,20.11.05,20.05.11


Attachments
Bug 28004: Fix breadcrumbs on authorised_values.tt (1.95 KB, patch)
2021-03-23 23:12 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28004: Fix breadcrumbs on authorised_values.tt (2.00 KB, patch)
2021-03-24 03:18 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 28004: Fix breadcrumbs on authorised_values.tt (2.06 KB, patch)
2021-03-25 13:58 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Séverine Queune 2021-03-19 15:45:20 UTC
The 'Authorized values for category xxx' page is missing the current page in the breadcrumb when the category has no value.

To reproduce :
 - go to a category with at least one value, see the complete breadcrumb "Home › Administration › Authorized values › Authorized values for category" with link on the 3 first menus
 - create a new category / go to an empty category ; see the incomplete breadcrumb "Home › Administration › Authorized values" with link only on the 2 first menus
Comment 1 Lucas Gass 2021-03-23 23:12:46 UTC Comment hidden (obsolete)
Comment 2 Amit Gupta 2021-03-24 03:18:17 UTC Comment hidden (obsolete)
Comment 3 Martin Renvoize 2021-03-25 13:58:04 UTC
Created attachment 118807 [details] [review]
Bug 28004: Fix breadcrumbs on authorised_values.tt

To Test:
  - go to a category with at least one value, see the complete breadcrumb "Home › Administration › Authorized values › Authorized values for category" with link on the 3 first menus
  - create a new category / go to an empty category ; see the incomplete breadcrumb "Home › Administration › Authorized values" with link only on the 2 first menus
  - Apply patch
  - go to category with at least one value, breadcrumbs should look like Home › Administration › Authorized values › Authorized values for category CATEGORY
  - got to category with no values, breadcrumbs should look the same as category with values

Signed-off-by: Amit Gupta <amitddng135@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2021-03-25 13:58:24 UTC
Works as expected, nice fix.

Passing QA
Comment 5 Jonathan Druart 2021-04-01 16:55:19 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-04-15 10:39:26 UTC
Pushed to 20.11.x for 20.11.05
Comment 7 Andrew Fuerste-Henry 2021-04-24 16:52:33 UTC
Pushed to 20.05.x for 20.05.11
Comment 8 Victor Grousset/tuxayo 2021-04-24 17:18:03 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.